<?php

namespace App\Controllers;
use App\Models\CandidateModel;
use App\Models\JobApplicationModel;
use App\Models\JobOpeningsModel;
use CodeIgniter\API\ResponseTrait;

class Candidates extends BaseController
{
    use ResponseTrait;
    public function index(): string
    {
        return view('welcome_message');
    }

    public function viewAllCandidates(){
        $candidatesModel = new CandidateModel();
        $allCandidates = $candidatesModel->findAll();
        $data = [
            'allCandidates'=> $allCandidates
        ];

        return $this->respond($data, 200, 'All Candidates Data');

    }


    public function viewCandidate($candidateID){
        $candidateModel = new CandidateModel();
        $applicationsModel = new JobApplicationModel();
        $jobsModel = new JobOpeningsModel();
        $candidate = $candidateModel->find($candidateID);
        $jobIDs = $applicationsModel->where('candidate_id', $candidateID)->findAll();
        $jobNames = [];
        if($jobIDs){
            
            foreach($jobIDs as $jobID){
                $jobName = $jobsModel->find($jobID['position_id']);
                $jobNames[] = [
                    "jobDetails" => $jobName,
                    "appliedDate" => $jobID['applied_date']
                ];
            }
        }

        $data = [
            'candidate' => $candidate,
            'appliedJobs' => $jobNames
        ];

        return $this->respond($data, 200, 'Single Candidate Data');
    }
}
