<?php
namespace App\Models;

use CodeIgniter\Model;

class CandidateModel extends Model
{
    protected $table = 'candidates';
    protected $primaryKey = 'id';

    protected $allowedFields= [
        'guid',
        'candidate_name',
        'candidate_phone',
        'candidate_email',
        'candidate_address',
        'candidate_highest_qualification',
        'candidate_present_emp',
        'candidate_present_designation',
        'candidate_existing_salary',
        'candidate_expected_salary',
        'candidate_photo',
        'candidate_cv',
        'candidate_cover_letter',
        'status'
    ];

    public function getGUID(){
        if (function_exists('com_create_guid')){
            return com_create_guid();
        }else{
            mt_srand((double)microtime()*10000);//optional for php 4.2.0 and up.
            $charid = strtoupper(md5(uniqid(rand(), true)));
            $hyphen = chr(45);// "-"
            $uuid = chr(123)// "{"
                .substr($charid, 0, 8).$hyphen
                .substr($charid, 8, 4).$hyphen
                .substr($charid,12, 4).$hyphen
                .substr($charid,16, 4).$hyphen
                .substr($charid,20,12)
                .chr(125);// "}"
            return $uuid;
        }
    }

}